#include <bits/stdc++.h>
#define int long long
using namespace std;
void solve(vector<int> a){
	vector <pair<int,int>> ans,cnt;
	int n=a.size(),sum=0;
	
	for(int i=0; i<n; i++){
		ans.push_back({a[i],i});
		sum+=a[i];
	}
	sort(ans.begin(),ans.end());
	
	for(int i=0; i<n; i++){
		if(i==n-1)continue; n--;
		cnt.push_back({ans[i].first,ans[i].second}); 
		cnt.push_back({ans[n].first,ans[n].second});
	}
    int m=a.size();
 	if(m%2==1)cnt.push_back({ans[n-1].first,ans[n-1].second});
	int SUM=0,i=0;
	while(SUM<sum/2){
		SUM+=cnt[i].first;
		i++;
	}
    n=a.size();
	if(i>n-i){
		for(int j=i; j<n; j++){cout<<cnt[j].second<<" ";}
		for(int j=0; j<i; j++)cout<<cnt[j].second<<" ";
	}
	else{
		for(int j=0; j<n; j++)cout<<cnt[j].second<<" ";
	}
}
signed main(){ios::sync_with_stdio(false); cin.tie(NULL);
  int t; cin>>t;
  while(t--){
  	int n; cin>>n;
  	vector<int> a(n);
  	for(int i=0; i<n; i++){
  		cin>>a[i];
    }
  	solve(a);
  	cout<<endl;
  }
  
  return 0;
}